### Hierarchy

- WindowOrWorkerGlobalScope
  - Window

## Index

### Properties

- caches
- crypto
- indexedDB
- origin
- performance

### Methods

- atob
- btoa
- clearInterval
- clearTimeout
- createImageBitmap
- fetch
- queueMicrotask
- setInterval
- setTimeout

## Properties

### caches

caches: CacheStorage

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16705

### crypto

crypto: Crypto

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16706

### indexedDB

indexedDB: IDBFactory

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16707

### origin

origin: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16708

### performance

performance: Performance

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16709

## Methods

### atob

- atob(data: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16710

  #### Parameters

  - ##### data: string

  #### Returns string

### btoa

- btoa(data: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16711

  #### Parameters

  - ##### data: string

  #### Returns string

### clearInterval

- clearInterval(handle?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16712

  #### Parameters

  - ##### Optional handle: undefined | number

  #### Returns void

### clearTimeout

- clearTimeout(handle?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16713

  #### Parameters

  - ##### Optional handle: undefined | number

  #### Returns void

### createImageBitmap

- createImageBitmap(image: ImageBitmapSource): Promise<ImageBitmap>
- createImageBitmap(image: ImageBitmapSource, sx: number, sy: number, sw: number, sh: number): Promise<ImageBitmap>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16714

  #### Parameters

  - ##### image: ImageBitmapSource

  #### Returns Promise<ImageBitmap>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16715

  #### Parameters

  - ##### image: ImageBitmapSource

  - ##### sx: number

  - ##### sy: number

  - ##### sw: number

  - ##### sh: number

  #### Returns Promise<ImageBitmap>

### fetch

- fetch(input: RequestInfo, init?: RequestInit): Promise<Response>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16716

  #### Parameters

  - ##### input: RequestInfo

  - ##### Optional init: RequestInit

  #### Returns Promise<Response>

### queueMicrotask

- queueMicrotask(callback: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16717

  #### Parameters

  - ##### callback: Function

  #### Returns void

### setInterval

- setInterval(handler: TimerHandler, timeout?: undefined | number, ...arguments: any[]): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16718

  #### Parameters

  - ##### handler: TimerHandler

  - ##### Optional timeout: undefined | number

  - ##### Rest ...arguments: any[]

  #### Returns number

### setTimeout

- setTimeout(handler: TimerHandler, timeout?: undefined | number, ...arguments: any[]): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16719

  #### Parameters

  - ##### handler: TimerHandler

  - ##### Optional timeout: undefined | number

  - ##### Rest ...arguments: any[]

  #### Returns number

Generated using TypeDoc